import java.io.*;
import java.net.Socket;

public class Client {

    public static void main(String[] args) throws IOException {
        // try с ресурсами, чтобы корректно закрыть потом сокет
        try (Socket socket = new Socket(Constants.HOST, Constants.PORT)) {
            // Получаем необходимые потоки
            DataInputStream inputStream = new DataInputStream(socket.getInputStream());
            DataOutputStream outputStream = new DataOutputStream(socket.getOutputStream());

            // Введем текст для отправки
            BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(System.in));
            System.out.print("Введите текст: ");
            String text = bufferedReader.readLine();

            // Отправляем
            outputStream.writeUTF(text);
            outputStream.flush();

            // Получаем ответ от сервера
            String echoText = inputStream.readUTF();
            System.out.println("echo: " + echoText);

            // Обязательно закрываем потоки
            inputStream.close();
            outputStream.close();
        }
    }

}
